Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class ServiceInformation

    java.lang.Object
      |
      +--org.omg.CORBA.ServiceInformation

All Implemented Interfaces:
  IDLEntity, Serializable

public final class ServiceInformation
extends Object
implements IDLEntity

ServiceInformation is an IDL struct in the CORBA module. It stores information about a CORBA service available in the ORB implementation. It is obtained from the ORB.get_service_information method.

See Also:
  Serialized Form

Field Summary
`ServiceDetail[]` | `service_details`
`int[]` | `service_options`

Constructor Summary
`ServiceInformation()`
`ServiceInformation(int[] __service_options, ServiceDetail[] __service_details)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### service_options

    public int[] service_options

### service_details

    public ServiceDetail[] service_details

Constructor Detail

### ServiceInformation

    public ServiceInformation()

### ServiceInformation

    public ServiceInformation(int[] __service_options,
                              ServiceDetail[] __service_details)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.